Bug 34621 - update netbeans.org URL to "permanent" location
update netbeans.org URL to "permanent" location
Status: CLOSED FIXED
Product: nblocalization
Classification: Unclassified
Component: Code
3.x
PC Windows ME/2000
: P3 (vote)
: 3.x
Assigned To: ohsumi
issues@nblocalization
:
Depends on: 34149
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-26 14:56 UTC by jcatchpoole
Modified: 2004-11-10 04:21 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Patch to update URL to permanent location (871 bytes, patch)
2003-06-26 14:57 UTC, jcatchpoole
Details | Diff
FIXED : Patch to update URL to permanent location (1.21 KB, patch)
2003-06-26 15:00 UTC, jcatchpoole
Details | Diff
Patch to update URL to permanent location for file translatedfiles/src/openide/src/org/openide/Bundle_ja.properties (1.32 KB, patch)
2003-06-26 15:02 UTC, jcatchpoole
Details | Diff
Patch to update URL to permanent location for file translatedfiles/src/openide/src/org/openide/Bundle_zh.properties (1.16 KB, patch)
2003-06-26 15:04 UTC, jcatchpoole
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jcatchpoole 2003-06-26 14:56:45 UTC
In issue 34149 I suggested that we create a set of
fixed URLs on netbeans.org that will not change between 
site redesigns.  If the IDE always uses those fixed URLs,
the site will be "backward compatible" for all versions of
the IDE.

[ Note that the fixed URLs are just redirects to the real 
current location of the final page. ]

Is this reasonable ?  Pls add any comments or suggestions
to issue 34149.

If you agree, this is a request to change the URL used in 
the files :

translatedfiles/src/core/src/org/netbeans/core/Bundle_ja.pr
operties 
translatedfiles/src/openide/src/org/openide/Bundle_ja.prope
rties
translatedfiles/src/openide/src/org/openide/Bundle_zh.prope
rties

from : http://www.netbeans.org/devhome/issues.html
to : http://www.netbeans.org/issues.html

(the same URL is used in all 3 files).

The new, fixed URL is already in place and correctly 
bounces the visitor to the final location (bounce
page will need wording changes, "Moved" is not strictly 
correct).

I will attach patches for each file, which I created with 
for eg :

cvs -f diff -u 
translatedfiles/src/core/src/org/netbeans/core/Bundle_ja.pr
operties > core-ja-issues-url.patch

(for the first file in the list above).

Pls sanity check the patches of course.

Thanks.
Comment 1 jcatchpoole 2003-06-26 14:57:11 UTC
Created attachment 10808 [details]
Patch to update URL to permanent location
Comment 2 jcatchpoole 2003-06-26 14:58:43 UTC
Sorry - pls ignore first patch, I missed one instance
of the URL in the file!  My apologies, I will re-attach.
Comment 3 jcatchpoole 2003-06-26 15:00:17 UTC
Created attachment 10809 [details]
FIXED : Patch to update URL to permanent location
Comment 4 jcatchpoole 2003-06-26 15:02:33 UTC
Created attachment 10810 [details]
Patch to update URL to permanent location for file translatedfiles/src/openide/src/org/openide/Bundle_ja.properties
Comment 5 jcatchpoole 2003-06-26 15:04:17 UTC
Created attachment 10811 [details]
Patch to update URL to permanent location for file translatedfiles/src/openide/src/org/openide/Bundle_zh.properties
Comment 6 _ mihmax 2003-07-01 09:47:13 UTC
Jack,
what NetBeans version are these patches to go to? I mean, to what cvs
trunk/branch they are to go? Please setup the Version and Target
milestone appropriately.

I beleive Yuko Ohsumi is a right person to take care, reassigning to
her. Yuko, please take a look.

Maxym
Comment 7 jcatchpoole 2003-07-01 10:03:00 UTC
Maxym, RE version/target milestone : I really don't know, I
would guess that is up to you.  Check with Jesse or some
other developer involved in issue 34149 if you need ...
Comment 8 ohsumi 2003-07-07 09:45:55 UTC
Sorry for the late reply.

Files that we have been integrated are ja and zh_CN files
(ex. Bundle_ja.properties, Bundle_zh_CN.properties).
In our l10n process, localized message files synchronize
English message files. If English message files are updated,
we will update localized message files.

In the future release, when English message files
are updated, we will get them and then incorporate
base changes into localized files.

Comment 9 _ mriem 2004-11-09 15:39:59 UTC
Yuko, can you tell me how this issue impacts the Dutch localization?
Comment 10 ohsumi 2004-11-10 04:18:26 UTC
Since English message file in NB3.6 has the correct URL,
ja and zh_CN message files has the correct URL. This problem does not
occur in NB3.6.

For the Dutch localization, I think that this problem does not occur in
NB3.6 and NB4.0. If the currect dutch message file has the incorrect
URL, the correct URL needs to be fixed.
Comment 11 ohsumi 2004-11-10 04:21:57 UTC
Sorry, I correct a typo in my previous comment.

For the Dutch localization, I think that this problem does not occur in
NB3.6 and NB4.0. If the current dutch message file has the incorrect
URL, the incorrect URL needs to be fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo